::echo %1 %2 %3 %4 %5 %6 %7 %8 %9 %10>>d:\nvpopup\nv3g_dump.txt
::echo %1 %2 %3 %4 %5 %6 %7 %8 >>d:\nvpopup\1.txt
::
::
:: %1 Filename 07942217422.InfoMessage.Answer.xml <PhonjeID>.<Action>.Answer.xml
:: %2 PhoneNo
:: %3 IP address:port of the phone
:: %4 <Mobicall NvServerName="****">   if empty, then "nvt_server_name"
:: %5 <Mobicall NvPersonID="****">     if empty, then "nvt_person_id"
:: %6  JobID                           if empty, then "nvt_job_id"
:: %7 Action {Connect, Disconnect, MessageWarning, Message, Accepted, Yes, No, MessageCancelled}
:: %8 Text from action      ( text enclosed in ""  and "in the text is replaced by '
:: %9 TMS Action
:: %10 Image Path
:: %11 GPS lon
:: %12 GPS lat

ECHO @OFF

SET ONE=%~1
SET TWO=%~2
SET THREE=%~3
SET FOUR=%~4
SET FIVE=%~5
SET SIX=%~6
SET SEVEN=%~7
SET EIGHT=%~8
SET NINE=%~9
SHIFT
SET TEN=%~9
SHIFT
SET ELEVEN=%~9
SHIFT
SET TWELVE=%~9

REM PAUSE

::d:\nvpopup\now %1 %2 %3 %7 %6 %8 %9 %10>>d:\nvpopup\eventlog.txt
rem pause
:: information> we need the parameter of the alarm-reference
d:
cd \nvt

::start nve.exe nv3gwritejob 1 -s1%1 -s2%2 -s3%4 -s4%6 -s5%7 -s6%8 -i1%5 -s7%9 -s8%10
::start nve.exe nv3gwritejob 1 -s1%ONE% -s2%TWO% -s3%THREE% -s4%FOUR% -s5%FIVE% -s6%SIX% -i1%SEVEN% -s7%EIGHT% -s8%NINE% -s9%TEN%


:: Start nve to write data to status jobfile
::start nve.exe nv3gwritejob 1 -s1%ONE% -s2%TWO% -s3%FOUR% -s4%SIX% -s5%SEVEN% -s6%EIGHT% -i1%FIVE% -s7%NINE% -s8%TEN% -s9%ELEVEN% -t1%TWELVE%
::
::echo start nve.exe nv3gwritejob 1 -s1%ONE% -s2%TWO% -s3SN-LY01GNY -s4%SIX% -s5%SEVEN% -s6%EIGHT% -i10 -s7%NINE% -s8%TEN% -s9%ELEVEN% -t1%TWELVE% >>d:\nvpopup\3gdump.txt

::SN-LY01GNY

::FÜR S-PRESSO
start nve.exe nv3gwritejob 1 -s1%ONE% -s2%TWO% -s3%FOUR% -s4%SIX% -s5%SEVEN% -s6%EIGHT% -i1%FIVE% -s7%NINE% -s8%TEN% -s9%ELEVEN% -t1%TWELVE%  >>d:\nvpopup\3gdump.txt


echo nve.exe nv3gwritejob 1 -s1%ONE% -s2%TWO% -s3%FOUR% -s4%SIX% -s5%SEVEN% -s6%EIGHT% -i1%FIVE% -s7%NINE% -s8%TEN% -s9%ELEVEN% -t1%TWELVE%  >>d:\nvpopup\3gdumpNEW.txt

::NORMAL
::start nve.exe nv3gwritejob 1 -s1%ONE% -s2%TWO% -s3%FOUR% -s4%SIX% -s5%SEVEN% -s6%EIGHT% -i1%FIVE% -s7%NINE% -s8%TEN% -s9 -t1  >> ::d:\nvpopup\log3g.log


REM pause
if not %SEVEN% ==  Message goto exit
Echo %FOUR%

if  %EIGHT% == 8000  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8001  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8002  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8003  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8004  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8005  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8006  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8007  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8008  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 8009  nve.exe nvarun 1 -i4%EIGHT%

if  %EIGHT% == 6000  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == 6001  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6002"  nve.exe nvarun 1 -i4%EIGHT% -t4"\nvpopup\%TWO%-%SIX%-0.jpg
if  %EIGHT% == "6003"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6004"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6005"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6011"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6012"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6013"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6014"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6015"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6021"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6022"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6023"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6024"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6025"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6031"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6032"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6033"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6034"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "6035"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "7000"  nve.exe nvarun 1 -i4%EIGHT%
if  %EIGHT% == "7999"  nve.exe nvarun 1 -i4%EIGHT%


rem pause
:exit




::if not %1 ==  4221422 goto exit



exit
\Beispiele>

C:\WINDOWS\system32>echo 0794221422 193.247.250.1:46473 No 4784CA94 Nein  1>>d:\
nvpopup\1.txt


C:\WINDOWS\system32>echo 0794221422 193.247.250.1:46473 Accepted 4784CA94   1>>d
:\nvpopup\1.txt


C:\WINDOWS\system32>echo 0794221422 193.247.250.1:46473 Yes 4784CA86 O  1>>d:\nv
popup\1.txt


C:\WINDOWS\system32>echo 0794221422 193.247.250.1:46473 Accepted 4784CA86   1>>d
:\nvpopup\1.txt


What I need>    0794221422  server/name  alarm/reference  person/id  :  Accepted.....